## gate
Class CreoleProxy

    java.lang.Object
      |
      +--gate.CreoleProxy

class CreoleProxy
extends Object

Factory is basically a collection of static methods but events need to have as source an object and not a class. The CreolProxy class addresses this issue acting as source for all events fired by the Factory class.

Field Summary
`private Vector` `creoleListeners`

Constructor Summary
`(package private)` `CreoleProxy()`

Method Summary
`void` `addCreoleListener(CreoleListener l)`
`protected void` `fireDatastoreClosed(CreoleEvent e)`
`protected void` `fireDatastoreCreated(CreoleEvent e)`
`protected void` `fireDatastoreOpened(CreoleEvent e)`
`protected void` `fireResourceLoaded(CreoleEvent e)`
`protected void` `fireResourceUnloaded(CreoleEvent e)`
`void` `removeCreoleListener(CreoleListener l)`

Methods inherited from class java.lang.Object
`<clinit>, clone, equals, finalize, getClass, hashCode, notify, notifyAll, registerNatives, toString, wait, wait, wait`

Field Detail

### creoleListeners

    private transient Vector creoleListeners

Constructor Detail

### CreoleProxy

    CreoleProxy()

Method Detail

### removeCreoleListener

    public void removeCreoleListener(CreoleListener l)

### addCreoleListener

    public void addCreoleListener(CreoleListener l)

### fireResourceLoaded

    protected void fireResourceLoaded(CreoleEvent e)

### fireResourceUnloaded

    protected void fireResourceUnloaded(CreoleEvent e)

### fireDatastoreOpened

    protected void fireDatastoreOpened(CreoleEvent e)

### fireDatastoreCreated

    protected void fireDatastoreCreated(CreoleEvent e)

### fireDatastoreClosed

    protected void fireDatastoreClosed(CreoleEvent e)